<?php

namespace Drupal\awareness\Queue;

/**
 * Interface for classes that utilize queue service.
 */
interface QueueFactoryAwareInterface {

  const SERVICE_ID = 'queue';

  /**
   * Set the queue factory.
   *
   * @param \Drupal\Core\Queue\QueueFactory $queueFactory
   *   The queue factory.
   *
   * @return $this
   */
  public function setQueueFactory();
}
