<?php

namespace Drupal\awareness\Extension;

use Drupal\Core\Extension\ThemeHandlerInterface;

/**
 * Trait for classes that utilize theme.manager service.
 */
trait ThemeHandlerAwareTrait {

  /**
   * The theme handler service.
   *
   * @var \Drupal\Core\Extension\ThemeHandlerInterface
   */
  protected $themeHandler;

  /**
   * @see \Drupal\awareness\Extension\ThemeHandlerAwareInterface::setThemeHandler
   */
  public function setThemeHandler(ThemeHandlerInterface $themeHandler) {
    $this->themeHandler = $themeHandler;
    return $this;
  }

}
